OGRE: Ogre::D3D11HLSLProgramFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D11HLSLProgramFactory Class Reference

Factory class for D3D11 HLSL programs. More...

`#include <OgreD3D11HLSLProgramFactory.h>`

Inheritance diagram for Ogre::D3D11HLSLProgramFactory:
[legend]

## Public Member Functions
| D3D11HLSLProgramFactory (D3D11Device &device)
| ~D3D11HLSLProgramFactory ()
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
void | destroy (HighLevelGpuProgram *prog)
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

Factory class for D3D11 HLSL programs.

## Constructor & Destructor Documentation

## ◆ D3D11HLSLProgramFactory()

Ogre::D3D11HLSLProgramFactory::D3D11HLSLProgramFactory | ( | D3D11Device & | device | ) |

## ◆ ~D3D11HLSLProgramFactory()

Ogre::D3D11HLSLProgramFactory::~D3D11HLSLProgramFactory | ( |  | ) |

## Member Function Documentation

## ◆ create()

HighLevelGpuProgram* Ogre::D3D11HLSLProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) |  |
| virtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ destroy()

void Ogre::D3D11HLSLProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| virtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ getLanguage()

const String& Ogre::D3D11HLSLProgramFactory::getLanguage | ( | void |  | ) | const
| virtual

Get the name of the language this factory creates programs for.

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreD3D11HLSLProgramFactory.h